%bcond_without check

%global goipath         github.com/racingmars/go3270
%global commit          b6d2a09532868a64fc63385eb4092148780f2107

%gometa

%global common_description %{expand:
This library allows you to write Go servers for tn3270 clients by building 3270
data streams from fields and processing the client's response to receive the
attention keys and field values entered by users.}

%global golicenses      LICENSE
%global godocs          README.md example1/example1.go example2/example2.go

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        3270 server library for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
